Reference
Platinum
List Nodes
Query Parameters
node_type?|
limit?integer
Default
50Range
value <= 1000offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/platinum/nodes"{
"items": [
{
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"metadata": {},
"nodeType": "string",
"sourceId": "string",
"sourceType": "string",
"tenantId": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Node
Path Parameters
node_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/platinum/nodes/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"content": "string",
"createdAt": "2019-08-24T14:15:22Z",
"id": "string",
"metadata": {},
"nodeType": "string",
"sourceId": "string",
"sourceType": "string",
"tenantId": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}